import Element from '../../nodes/basic/element/Element';
import DocumentFragment from '../../nodes/basic/document-fragment/DocumentFragment';
import IShadowRootRenderOptions from './IShadowRootRenderOptions';
import ShadowrootRenderResult from './ShadowRootRenderResult';
import ShadowRoot from '../../nodes/basic/shadow-root/ShadowRoot';
/**
 * Utility for converting an element to string.
 *
 * @class QuerySelector
 */
export default class ShadowRootRenderer {
    private renderOptions;
    private shadowRootScoper;
    /**
     * Renders an element as HTML.
     *
     * @param [renderOptions] Render this.renderOptions.
     */
    constructor(renderOptions?: IShadowRootRenderOptions);
    /**
     * Renders an element as HTML.
     *
     * @param element Element to render.
     * @return Result.
     */
    getOuterHTML(element: Element): ShadowrootRenderResult;
    /**
     * Renders an element as HTML.
     *
     * @param element Element to render.
     * @return Result.
     */
    getInnerHTML(element: Element | DocumentFragment | ShadowRoot): ShadowrootRenderResult;
    /**
     * Returns attributes as a string.
     *
     * @param element Element.
     * @return Attributes.
     */
    private getAttributes;
}
